plymouth (0.9.5-3+droidian2+git20240516231326.417bb43.droidian) trixie; urgency=medium

  * [packaging] Pick-up systemd units from /usr/lib/systemd

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 17 May 2024 01:13:26 +0200

plymouth (0.9.5-3+droidian2) trixie; urgency=medium

  * [skip ci] Replace Drone with CircleCI
  * [skip ci] [ci] Use the checkout step provided by the droidian-buildd orb
  * [skip ci] Move to Droidian rolling
  * [initramfs] Do not install label.so plugin

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 16 Nov 2023 00:00:55 +0100

plymouth (0.9.5-3+droidian1+upgrade12) bookworm; urgency=medium

  * Merge tag 'debian/0.9.5+git20211018-1' into bookworm

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 05 Dec 2021 23:03:33 +0100

plymouth (0.9.5-3+droidian1) bullseye; urgency=medium

  * [packaging] initramfs-hooks: fix flash-bootimage-switch-slot detection

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Tue, 23 Nov 2021 23:49:26 +0100

plymouth (0.9.5-3+droidian0) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Added Drone CI configuration
  * plugins: minui: core: support retrieving and storing physical screen dimensions (in mm)
  * plugins: minui: calculate and set the display scaling
  * libply: ply-utils: ply_get_device_scale: prefer a scaling factor of three when dpi is > 320
  * plymouth: always assume "splash plymouth.ignore-udev" parameters are present in the cmdline
  * HACK: plymouth: force scale to 1 when there aren't system-updates scheduled
  * Merge branch 'feature/bullseye/minui-scaling-init' into feature/bullseye/minui

  [ Eugenio Paolantonio ]
  * Merge pull request #1 from droidian/feature/bullseye/minui-scaling

  [ Laurent Bigonville ]
  * Imported Upstream version 0.6.0
  * Imported Upstream version 0.7.0
  * Imported Upstream version 0.7.1
  * Imported Upstream version 0.7.2
  * Imported Upstream version 0.8.0
  * Imported Upstream version 0.8.1
  * Imported Upstream version 0.8.2
  * Imported Upstream version 0.8.3
  * Imported Upstream version 0.8.5.1
  * Imported Upstream version 0.8.6.1
  * Imported Upstream version 0.8.8
  * Imported Upstream version 0.9.0
  * Adopt the package and commit my changes
  * Add debian/gbp.conf file
  * Release to unstable
  * Move the script.so from plymouth-themes to the main plymouth package (Closes: #764644)
  * debian/patches/drop-systemd-vconsole-setup-service.patch: Remove references to systemd-vconsole-setup.service as it isn't shipped in Debian (Closes: #755194)
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * Release to unstable
  * debian/control: Add a dependency against init-system-helpers as we are explicitly using deb-systemd-helper in the plymouth postinst script (Closes: #767937)
  * Ensure we have at least init-system-helpers 1.18
  * debian/local/plymouth.hook: Test if the plugin is present on disk before trying to copy it to the initramfs (Closes: #767170)
  * debian/control: Reword the package description. (Closes: #768350)
  * debian/local/plymouth.hook: Properly copy .plymouth file into the initramfs for themes that are not shipping images, this should fix the tribar theme
  * Imported Upstream version 0.9.2
  * Merge tag 'upstream/0.9.2' into debian
  * debian/control: Depends against libgtk-3-dev instead of libgtk2.0-dev
  * Do not try to build or install the log viewer, it has been dropped upstream
  * d/p/0007-udev-seat-tag.patch: Refreshed
  * Drop d/p/0009-use-correct-utf8-multibyte-sequence.patch: Applied Upstream
  * Drop d/p/0010-revert-systemd-wantedby.patch: Applied Upstream
  * Drop d/p/libply-splash-core-also-monitor-for-file-removal-in-.patch: Applied Upstream
  * Drop d/p/utils-Don-t-create-unix-sockets-non-blocking.patch: Applied Upstream
  * Split libplymouth out of the main plymouth package
  * Use the default tty for boot and shutdown
  * Do not install plugins static library files
  * Move the static libraries and development symlinks from /lib to /usr/lib
  * plymouth-themes is now an arch:any package, fix the dependencies
  * Release to unstable
  * debian/plymouth.init: Do not override the TTY during shutdown
  * Enable I/O multiplexing functionality of plymouth by default as soon as the main package is installed.
  * Release to unstable
  * debian/plymouth.NEWS: Set the proper release for the entry
  * Add initramfs panic script, this is not yet implemented in the debian initramfs-tools package, but at least we are ready. (See: #602331)
  * Release to unstable
  * debian/plymouth.postrm: Remove /var/lib/plymouth/boot-duration on purge
  * debian/control: Update the Vcs-* fields and switch to https to please lintian
  * Drop -dbg package and rely on the automatically built -dbgsym ones
  * debian/control: Depends against lsb-base to please lintian
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * Drop debian/patches/0007-udev-seat-tag.patch and ensure seat tag is properly applied instead
  * Fix/workaround red and black artefacts caused by compiler issues on i386
  * Do not hardcode to the update-initramfs executable anymore
  * Release to unstable
  * Run wrap-and-sort
  * debian/gbp.conf: Rename git-buildpackage to buildpackage
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)
  * Release to unstable
  * debian/watch: Bump to version 4 and use the macro's
  * New upstream version 0.9.3
  * Updated version 0.9.3 from 'upstream/0.9.3'
  * debian/libplymouth4.symbols: Adjust the symbols file
  * Refresh the patches and drop the one merged upstream
  * Drop debian/patches/0008-show-delay.patch
  * Revert "Drop debian/patches/0008-show-delay.patch"
  * Release to unstable
  * Import upstream patches coming from the master branch
  * debian/control: Drop obsolete dh-systemd build-dependency and bump debhelper minimal version
  * debian/control: Bump Standards-Version to 4.1.3 (no further changes)
  * debian/watch: Use https:// URL
  * Add apport hook, taken from Ubuntu and adjusted to support the fact that we are not using alternatives to select the default theme
  * Release to unstable
  * debian/local/plymouth.hook: Call fc-cache when generating the initramfs, this will create the fc cache and .uuid files and should mitigate bug #897572
  * debian/control: Update VCS-* fields to point to the salsa machine
  * Release to unstable
  * New upstream version 0.9.4
  * Update upstream source from tag 'upstream/0.9.4'
  * New upstream release (0.9.4)
  * Drop patches merged upstream
  * debian/patches/0005-cmdline.patch: Refreshed
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/libplymouth4.symbols: Add newly exported symbols
  * Do not explicitly set the compression algorithm, to please lintian
  * debian/rules: Use dh_missing --fail-missing instead of dh_install
  * Release to unstable
  * Merge branch 'fix-usrmerge-repro' into 'debian'
  * debian/plymouth.links: Drop the manpage symlink plymouth-log-viewer.8, the executable is not installed anymore (Closes: #922320)
  * Merge branch 'less-modules-if-dep' into 'debian'
  * debian/rules: Stop passing start and stop actions for update-rc.d to dh_installinit. update-rc.d is not supporting that for quite some time
  * debian/plymouth.postinst: Remove old cleanup code needed for early 0.9.0 uploads
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * Bump debhelper compatibility to 12, switch from dh_systemd_start to dh_installsystemd
  * debian/rules: Disable call to dh_installinitramfs, let's manage that ourself but update the maintainer scripts to mimic what it's doing.
  * debian/rules: Drop dh_strip override, plymouth-dbg is gone for at least one release and we don't need the migration bits to the -dbgsym package
  * Move everything from / to /usr now that the later is mounted at early boot, add compatibility symlinks for the executable in case the system is not migrated to usr-merge.
  * debian/control: Add Rules-Requires-Root: no
  * Move some executables to /usr/libexec now that's allowed in the policy
  * debian/rules: Rely on dh_autoreconf to update config.guess and config.sub
  * Drop debian/patches/0004-return-code.patch, this doesn't seem needed anymore, thanks to Sebastien Bacher for noticing
  * Release to unstable
  * Drop debian/patches/0001-awk.patch and add a break against mawk (<< 1.3.4), the awk script has been tested gainst mawk (>= 1.3.4) and gawk
  * Run wrap-and-sort
  * Add RemainAfterExit=yes to plymouth's systemd service files, cherry-picked patch from upstream
  * Properly close the boot.log file when changing mode
  * Release to unstable
  * New upstream version 0.9.5
  * Update upstream source from tag 'upstream/0.9.5'
  * Refresh the patches or delete the ones applied upstream
  * debian/plymouth-themes.install: Remove the throbgress plugin, dropped upstream
  * debian/rules: Remove --enable-gdm-transition, dropped upstream
  * debian/plymouth.install: Install logrotate configuration for boot.log
  * debian/plymouth.install: Install the translation files
  * debian/plymouth-themes.install: Install the new bgrt theme
  * debian/rules: Set --with-runtimedir=/run
  * Bump libplymouth4 soname to libplymouth5
  * debian/local/plymouth.hook: Install the ImageDir even if it's coming from another theme
  * Release to experimental
  * debian/local/plymouth.hook: Copy logo-text-version-64.png in the initramfs
  * Use /etc/default/keyboard if /etc/vconsole.conf is not available
  * debian/local/plymouth.hook: Remove compatibility with wheezy and previous versions
  * Copy the Cantarell font to the initramfs as it's used by spinner and bgrt themes
  * debian/libplymouth5.symbols: Add Build-Depends-Package field
  * Release to unstable
  * debian/control: Remove dependency the ttf-dejavu-core alternative
  * Don't use /etc/vconsole.conf after all as it's not used anywhere in debian
  * d/p/0003-default-theme.patch: Switch to homeworld for bullseye
  * Release to unstable
  * New upstream version 0.9.5+git20211018
  * Update upstream source from tag 'upstream/0.9.5+git20211018'
  * debian/patches/0005-cmdline.patch: Refreshed
  * debian/plymouth.install: Install plymouthd-fd-escrow executable
  * debian/libplymouth5.symbols: Add newly exported symbols
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)
  * Release to unstable

  [ Erfan Abdi ]
  * plugins: Add minui backend
  * Regenerate makefiles

  [ Simon McVittie ]
  * Unfuzz 0008-show-delay.patch to apply cleanly

  [ Alper Nebi Yasak ]
  * Include less modules when appropriate

  [ Jonathan Carter ]
  * Update themes

  [ Andreas Henriksson ]
  * Make build reproducible on merged-usr vs non-merged

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Scott Moser ]
  * debian/local/plymouth.hook: add only a single copy of nss libs in initramfs.

  [ Aurélien COUDERC ]
  * Split labels.so plugin into its own package so debian themes can stop requiring the whole plymouth-themes package
  * Add breaks/replace plymouth-themes << 0.9.2-5~

  [ Sjoerd Simons ]
  * Add d/p/libply-splash-core-also-monitor-for-file-removal-in-.patch
  * target unstable
  * debian/patches/debian/patches/utils-Don-t-create-unix-sockets-non-blocking.patch:
  * Target unstable
  * plymouth.hook: Always install drm modules

  [ Daniel Baumann ]
  * Imported Debian patch 0.6.0-1
  * Imported Debian patch 0.7.0-1
  * Imported Debian patch 0.7.1-1
  * Imported Debian patch 0.7.2-1
  * Imported Debian patch 0.7.2-2
  * Imported Debian patch 0.7.2-3
  * Imported Debian patch 0.7.2-4
  * Imported Debian patch 0.7.2-5
  * Imported Debian patch 0.7.2-6
  * Imported Debian patch 0.8.0-1
  * Imported Debian patch 0.8.1-1
  * Imported Debian patch 0.8.1-2
  * Imported Debian patch 0.8.2-1
  * Imported Debian patch 0.8.2-2
  * Imported Debian patch 0.8.3-1
  * Imported Debian patch 0.8.3-2
  * Imported Debian patch 0.8.3-3
  * Imported Debian patch 0.8.3-4
  * Imported Debian patch 0.8.3-5
  * Imported Debian patch 0.8.3-6
  * Imported Debian patch 0.8.3-7
  * Imported Debian patch 0.8.3-8
  * Imported Debian patch 0.8.3-9
  * Imported Debian patch 0.8.3-10
  * Imported Debian patch 0.8.3-11
  * Imported Debian patch 0.8.3-12
  * Imported Debian patch 0.8.3-13
  * Imported Debian patch 0.8.3-14
  * Imported Debian patch 0.8.3-15
  * Imported Debian patch 0.8.3-16
  * Imported Debian patch 0.8.3-17
  * Imported Debian patch 0.8.3-18
  * Imported Debian patch 0.8.3-19
  * Imported Debian patch 0.8.3-20
  * Imported Debian patch 0.8.5.1-1
  * Imported Debian patch 0.8.5.1-2
  * Imported Debian patch 0.8.5.1-3
  * Imported Debian patch 0.8.5.1-4
  * Imported Debian patch 0.8.5.1-5
  * Imported Debian patch 0.8.5.1-6
  * Imported Debian patch 0.8.5.1-7
  * Imported Debian patch 0.8.5.1-8
  * Imported Debian patch 0.8.6.1-1
  * Imported Debian patch 0.8.8-1
  * Imported Debian patch 0.8.8-2
  * Imported Debian patch 0.8.8-3
  * Imported Debian patch 0.8.8-4
  * Imported Debian patch 0.8.8-5
  * Imported Debian patch 0.8.8-6
  * Imported Debian patch 0.8.8-6+deb8u1
  * Imported Debian patch 0.8.8-6+deb8u2
  * Imported Debian patch 0.8.8-6+deb8u3
  * Imported Debian patch 0.8.8-7
  * Imported Debian patch 0.8.8-8
  * Imported Debian patch 0.8.8-9
  * Imported Debian patch 0.8.8-10
  * Imported Debian patch 0.8.8-11
  * Imported Debian patch 0.8.8-12
  * Imported Debian patch 0.8.8-13
  * Imported Debian patch 0.8.8-14
  * Imported Debian patch 0.8.8-15
  * Imported Debian patch 0.8.8-16
  * Imported Debian patch 0.8.8-17
  * Imported Debian patch 0.9.0-1
  * Imported Debian patch 0.9.0-2
  * Imported Debian patch 0.9.0-3
  * Imported Debian patch 0.9.0-4
  * Imported Debian patch 0.9.0-5

  [ Julien Cristau ]
  * Imported Debian patch 0.8.3-9.1
  * Imported Debian patch 0.8.3-9.2

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Sun, 14 Nov 2021 17:23:13 +0100

